Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05979 Speed Minor Always Jul 4, 2015, 22:01 Jul 29, 2015, 17:42
Tester system11 View Status Public Platform MAME (Official Binary)
Assigned To system11 Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver rainbow.cpp
Version 0.163 Fixed in Version 0.164 Build 64-bit
Summary 05979: jumping, jumpinga: Sound is slightly wrong in jumping due to incorrect clock dividers / clocks
Description Kazblox asked me to check the clocks on my Jumping PCB since the sound is slightly wrong. After doing so I found:

1) The crystals are wrong (or very likely multiple bootleg variants exist) - the 18.432mhz can also be a 16mhz, which makes little to no difference in-game
2) Above makes no difference because that's the CPU crystal, speeds should be as follows (assume for 16mhz fitted):

68k - 16/2
Z80 - 24/4
YM2203 - 24/8
(for reference) Y3014B - 1Mhz (driven by 2203s)

Using the above clocks and dividers in a test build, MAME sounds correct. Not sure who is going to submit the actual fix. Side note will be dumping the variant I have since while very similar looking, the ROM layout is different - title screen matches jumpinga version.
Steps To Reproduce
Additional Information
Flags Verified with Original
Regression Version
Affected Sets / Systems jumping, jumpinga
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
1
User avatar
No.11840
system11
Senior Tester
Jul 5, 2015, 21:37
https://github.com/mamedev/mame/pull/242

Contains dump of board new timings came from